package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

/**
 * 版本信息
 *
 * @author sxp
 * @since May 4, 2018
 */
public class VersionInfo {
    private String kb;
    private String kxe;
    private Metadata metadata;
    private BuildLevel buildLevel;
    private Maintenance maintenance;
    private Minor minor;
    private Release release;
    private ServicePackName servicePackName;
    private Version version;

    public VersionInfo() {
    }

    public String getKb() {
        return kb;
    }

    public void setKb(String kb) {
        this.kb = kb;
    }

    public String getKxe() {
        return kxe;
    }

    public void setKxe(String kxe) {
        this.kxe = kxe;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public BuildLevel getBuildLevel() {
        return buildLevel;
    }

    public void setBuildLevel(BuildLevel buildLevel) {
        this.buildLevel = buildLevel;
    }

    public Maintenance getMaintenance() {
        return maintenance;
    }

    public void setMaintenance(Maintenance maintenance) {
        this.maintenance = maintenance;
    }

    public Minor getMinor() {
        return minor;
    }

    public void setMinor(Minor minor) {
        this.minor = minor;
    }

    public Release getRelease() {
        return release;
    }

    public void setRelease(Release release) {
        this.release = release;
    }

    public ServicePackName getServicePackName() {
        return servicePackName;
    }

    public void setServicePackName(ServicePackName servicePackName) {
        this.servicePackName = servicePackName;
    }

    public Version getVersion() {
        return version;
    }

    public void setVersion(Version version) {
        this.version = version;
    }

    @Override
    public String toString() {
        return "VersionInfo [kb=" + kb + ", kxe=" + kxe + ", metadata=" + metadata
            + ", buildLevel=" + buildLevel + ", maintenance=" + maintenance + ", minor=" + minor + ", release="
            + release + ", servicePackName=" + servicePackName + ", version=" + version + "]";
    }
}
